<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body bottommargin="0" leftmargin="0" rightmargin="0" topmargin="0" marginheight="0" marginwidth="0">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="100%" colspan="3" background="images/headerbg.jpg"><table width="100%" height="238" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td style="background-image: url(images/header01.jpg);
	background-repeat: no-repeat;
	background-position: left;"><table width="100%" height="238"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="padding:40px; background-image: url(images/header02.jpg);
	background-repeat: no-repeat;
	background-position: right;">
<table width="400" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="32" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="10" border="0"/></a></td>
            <td width="368" align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="left" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="51" colspan="3" align="center" valign="middle" background="images/menubg.jpg"><table border="0" cellspacing="0" cellpadding="0">
      <tr>
<xsl:call-template name="TOP-MENU"/>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td colspan="3" align="left" bgcolor="#C6D1D7"><img src="images/ling1.jpg" width="780" height="21" /></td>
  </tr>
  <tr>
    <td height="100%" colspan="3" bgcolor="#D1D8DE"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="231" height="305" align="center" valign="top" bgcolor="#C2C9CF" style="background-image: url(images/submenubg.jpg);background-repeat: no-repeat;background-position: right top;padding-left:20px;padding-left:20px;padding-top:45px;">
		<table width="156" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table></td>
        <td width="100%" height="100%" rowspan="2" align="center" valign="top" bgcolor="#FFFFFF" style="background-image: url(images/textbg.jpg);background-repeat: no-repeat;background-position: right bottom;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="38" align="left" background="images/titlebg.jpg"><table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/blank.gif" width="30" height="38" /></td>
                <td class="text-header" style="padding-top:2px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td><img src="images/title.jpg" width="29" height="38" /></td>
              </tr>
            </table></td>
          </tr>

        </table>
          <table width="100%" height="100%" border="0" cellpadding="30" cellspacing="0">
            <tr>
              	<td height="100%" align="left" valign="top" class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
            </tr>
          </table></td>
        <td width="13" bgcolor="#D1D8DE"></td>
      </tr>
      <tr>
        <td valign="bottom" bgcolor="#c2c9cf"><img src="images/lb.jpg" width="231" height="139" /></td>
        <td width="13" valign="bottom" bgcolor="#D1D8DE"><img src="images/rb.jpg" width="13" height="139" /></td>
      </tr>
      
    </table></td>
  </tr>
  
  <tr>
    <td colspan="3" align="right" background="images/ling2bg.jpg" bgcolor="#D1D8DE"><img src="images/ling2.jpg" width="780" height="30" /></td>
  </tr>
  <tr>
    <td height="38" colspan="3" align="center" valign="middle" background="images/bmenubg.jpg"><table border="0" cellspacing="0" cellpadding="5">
      <tr>
<xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table></td>

  </tr>
  <tr>
    <td height="38" colspan="3" align="center" valign="middle" background="images/bmenubg.jpg" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

		   <tr>
            <td class="submenu" width="127" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td height="32"><img src="images/submenub.png"  /></td>
          </tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

          <tr>
            <td width="127" align="left"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td height="32"><img src="images/submenub.png"  /></td>
          </tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
  		<xsl:if test="position()!=last()">
          <tr>
            <td colspan="2" background="images/submenuhr.gif"><div style="width:127px; height:1px;"><spacer type="block" width="127" height="1" /></div></td>
          </tr>	
  		</xsl:if>	
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

        <td align="left"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

        <td align="left" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

        <td align="left"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td align="left"><img src="images/bmb.gif" width="7" height="7" /></td>
  		</xsl:if>
		</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
