<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-image: url('images/main_bg.jpg');" summary="">
	<TR valign="top">
		<TD>
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 245px; height: 100%;">
				<tr>
					<td height="95" class="url" align="center">
						<xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/>
					</td>
				</tr>
				<tr>
					<td height="226" style="background-image: url('images/logo_bg.gif'); background-repeat: no-repeat;">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" summary="" align="center">
							<tr>
								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
					</td>
				</tr>
				<tr>
					<td height="100%" valign="top" style="padding: 30px; background-image: url('images/submenu_bg.gif'); background-repeat: no-repeat;">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="160" align="center" summary="">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>
						<!-- END SUBMENU -->
					</td>
				</tr>
				<tr>
					<td height="90" align="center" class="footer">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
		<TD width="100%">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td height="95">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
				<tr>
					<td height="226" bgcolor="white" align="center">
						<img src="images/header.jpg" border="0" alt=""/>
					</td>
				</tr>
				<tr>
					<td height="100%" valign="top" class="bg pageContent" style="padding: 20px 30px 50px 40px; background-image: url('images/bg.gif'); background-position: bottom right; background-repeat: no-repeat;">
						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
						<div style="width:0px; height:15px;"><span></span></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
				</tr>
				<tr>
					<td height="90" align="right" class="company2" style="padding: 0 25px; background-image: url('images/footer_bg.gif'); background-repeat: repeat-y;">
						<img src="images/footer_logo.gif" border="0" alt="" align="absmiddle" style="margin-right: 5px;"/><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
					</td>
				</tr>
			</table>
		</TD>
		<TD><div style="width:40px; height:0px;"><span></span></div></TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr bgcolor="#FFB400">
				<td class="asubmenu" style="padding-left: 5px; width: 100%; height: 32px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_abullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 5px; width: 100%; height: 32px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" style="height: 2px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
	</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
