<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/main_bg.jpg');" summary="">
	<TR>
		<TD height="13" class="border-right"><div style="width:98px; height:0px;"><span></span></div></TD>
		<TD colspan="2" width="100%" class="border-right" style="background-image: url('images/top_bg.jpg');"><div style="width:0px; height:1px;"><span></span></div></TD>
		<TD><div style="width:106px; height:0px;"><span></span></div></TD>
	</TR>
	<TR>
		<TD height="101" class="border-right"><div style="width:0px; height:1px;"><span></span></div></TD>
		<TD colspan="2" class="border-right" style="background-image: url('images/menu_bg.jpg'); background-position: bottom; background-repeat: repeat-x;">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0" align="center" summary="">
				<tr>
					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
					<xsl:call-template name="TOP-MENU"/>
					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>

				</tr>
			</table>
		<!-- END MENU -->
		</TD>
		<TD></TD>
	</TR>
	<TR>
		<TD height="27"><img src="images/tbg_l.jpg" border="0" alt=""/></TD>
		<TD class="border-right" style="background-color: #ffffff; background-image: url('images/tbg.jpg');"><div style="width:219px; height:0px;"><span></span></div></TD>
		<TD bgcolor="#FFFFFF" width="100%" class="border-right"></TD>
		<TD><img src="images/tbg_r.jpg" border="0" alt=""/></TD>
	</TR>
	<TR>
		<TD height="206" class="border-top border-right" style="background-image: url('images/header_l.jpg');"><div style="width:0px; height:1px;"><span></span></div></TD>
		<TD class="border-right border-top" bgcolor="#FFFFFF">
			<!-- LOGO -->
			<table cellpadding="0" cellspacing="0" summary="" align="center">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
			<!-- END LOGO -->
		</TD>
		<TD align="center" class="border-top border-right" bgcolor="#FFFFFF">
			<img src="images/header.jpg" border="0" alt=""/>
		</TD>
		<TD class="border-top" style="background-image: url('images/header_r.jpg');"><div style="width:0px; height:1px;"><span></span></div></TD>
	</TR>
	<TR valign="top">
		<TD height="100%" name="SB_stretch" class="border-top border-right" style="background-image: url('images/header_l.jpg');"><div style="width:0px; height:1px;"><span></span></div></TD>
		<TD class="border-right border-top" style="background-color: #ffffff; background-image: url('images/submenu_tbg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td height="100%" valign="top" style="padding-top: 40px;">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="165" align="center" summary="">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>
						<!-- END SUBMENU -->
					</td>
				</tr>
				<tr><td bgcolor="#FFFFFF"><img src="images/submenu_bbg.gif" border="0" alt=""/></td></tr>
			</table>
		</TD>
		<TD class="border-top border-right bg pageContent" style="padding: 20px;">
			<!-- CONTENT -->
			<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
			<div style="width:0px; height:15px;"><span></span></div>
			<xsl:apply-templates select="PAGE-CONTENT"/>
			<!-- END CONTENT -->
		</TD>
		<TD class="border-top" style="background-image: url('images/header_r.jpg');">
			<div style="width:0px; height:1px;"><span></span></div>
		</TD>
	</TR>
	<TR>
		<TD height="139" class="border-top border-right" style="background-image: url('images/footer_l.jpg');">
			<div style="width:0px; height:1px;"><span></span></div>
		</TD>
		<TD class="border-top border-right" style="background-image: url('images/footer_bg.jpg');">
			<div style="width:0px; height:1px;"><span></span></div>
		</TD>
		<TD align="center" class="border-top border-right footer" style="background-image: url('images/footer_bg.jpg');">
			<!-- FOOTER -->
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
			<!-- END FOOTER -->
		</TD>
		<TD class="border-top" style="background-image: url('images/footer_r.jpg');">
			<div style="width:0px; height:1px;"><span></span></div>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
							<tr>
								<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
							</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
							<tr>
								<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
								<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
							</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
