<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no" />
<xsl:strip-space elements="*" />
<xsl:include href="buttons.xsl" />
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID" />
<html>
<head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes" /> - <xsl:value-of select="@TITLE" disable-output-escaping="yes" /></title>
	<xsl:apply-templates select="META-TAGS" />
	<link href="css/styles.css" rel="stylesheet" type="text/css" />
</head>
<body style="margin:0;" bgcolor="#FFFFFF">
<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td bgcolor="#FFFFFF">
		<table height="100%" width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="">
		<tr>
			<td valign="top">
				<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td width="250" height="83" valign="middle">
								<table border="0" cellspacing="0" cellpadding="0" height="60">
								<tr>
									<td rowspan="2" valign="top" style="padding-left:30px;padding-right:20px; "><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" alt="" vspace="5" border="0" /></a></div></td>
									<td height="30" valign="bottom" class="company" style="padding-right:10px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes" /></td>
								</tr>
								<tr>
									<td height="30" valign="top" class="slogan" style="padding-right:10px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes" /></td>
								</tr>
								</table>
					</td>
					<td width="1" bgcolor="#CECECE"></td>
					<td valign="top" background="images/menu_bg.gif">
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
						<tr>
							<td valign="bottom">
								<table width="80%" border="0" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<td align="center">
										<table border="0" cellspacing="0" cellpadding="0">
											<xsl:call-template name="TOP-MENU" />
										</table>
									</td>
								</tr>
								</table>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="3" valign="top" class="logobg"></td>
					<td bgcolor="#CECECE"></td>
					<td height="3" valign="top" class="menubg"></td>
				</tr>
				<tr>
					<td width="249" valign="top">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td width="6%">
								<img src="" width="25" height="1" alt="" />
							</td>
							<td width="88%">
								<table width="100%" height="30" border="0" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<td height="22"></td>
								</tr>
								</table>
								<table width="170" border="0" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<td ></td>
									<td ></td>
								</tr>
								<tr>
									<td height="30" colspan="2">
										<table border="0" cellspacing="0" cellpadding="0">
											<xsl:call-template name="SUB-MENU">
											<xsl:with-param name="pageID" select="@ID" />
											</xsl:call-template>
										</table>
									</td>
								</tr>
							  </table>
							</td>
							<td width="6%">
								<img src="" width="25" height="1" alt="" />
							</td>
						</tr>
						</table>
				  </td>
					<td width="1" bgcolor="#CECECE">
						<img name="" src="" width="1" height="1" alt="" />
					</td>
					<td valign="top">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="1"></td>
						</tr>
						</table>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<img src="images/header.jpg" width="528" height="222" />
							</td>
						</tr>
						</table>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="1"></td>
						</tr>
						<tr>
							<td height="1" bgcolor="#CECECE"></td>
						</tr>
						</table>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td style="padding:30px" valign="top">

										<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
										<tr>
											<td height="25">
												<table border="0" cellspacing="0" cellpadding="0">
												<tr>
													<td class="text-header style3">
														<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
													</td>
													<td width="30" class="text-header">
														<div align="right"><img src="images/t_icon.gif" width="21" height="19" /></div>
													</td>
												</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td class="pageContent" name="SB_stretch" valign="top">
												<xsl:apply-templates select="PAGE-CONTENT" />
											</td>
										</tr>
										<tr>
											<td></td>
										</tr>
										</table>

							</td>
						</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td width="251" height="85" style="background:url(images/bmenu_bg.gif);background-repeat:no-repeat; background-position:3px;">
						<div align="center"><span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></div>
					</td>
					<td width="1" bgcolor="#CECECE"></td>
					<td background="images/bmenu_bg1.gif">
						<table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td>
								<table border="0" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<xsl:call-template name="BOTTOM-MENU" />
								</tr>
								</table>
							</td>
						</tr>
						</table>
					</td>
				</tr>
			  </table>
			</td>
		</tr>
		</table>
	</td>
</tr>
</table>
</body>
</html>
</xsl:template>
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top" />
	</xsl:template>
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID" />
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="sub">
		<xsl:choose>
			<xsl:when test="@ID=/LAYOUT/@ID">
				<tr>
					<td class="asubmenu" style="padding-left: 5px; width: 100%;">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</td>
					<td>
						<img src="images/submenu_bullet.gif" border="0" alt="" />
					</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>
						<td style="padding-left: 5px; width: 100%;">
							<a href="{@HREF}" class="submenu">
								<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
							</a>
						</td>
						<td>
							<a href="{@HREF}">
								<img src="images/submenu_bullet.gif" border="0" alt="" />
							</a>
						</td>
					</tr>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr>
				<td colspan="2" height="20">
					<div style="height:1px; background-color: #B4B4B4; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;">
						<span></span>
					</div>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="bottom">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td>
					<a href="{@HREF}" class="abmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td class="abmenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<a href="{@HREF}" class="bmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td>
				<img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;" />
			</td>
			<td width="5"></td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content">
				<xsl:value-of select="." />
			</xsl:attribute>
		</meta>
	</xsl:template>
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
</xsl:stylesheet>
