<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" style="background-image: url('images/header.gif'); background-repeat: repeat-x;">
	<TR>
		<TD height="330" valign="top" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" height="330" width="100%">
				<tr>
					<td height="250" style="padding-left: 210px;">
						<!-- LOGO -->
						<div align="center" style="width:280px;">
							<table cellpadding="0" cellspacing="0">
								<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
								<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
								<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
							</table>						
						</div>
						<!-- END LOGO -->
					</td>
				</tr>
				<tr><td height="10"></td></tr>
				<tr>
					<td height="40" style="padding-left: 210px;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" height="19">
							<tr>
								<td width="30"></td>
								<xsl:call-template name="TOP-MENU"/>								
								<td width="30"></td>
							</tr>
						</table>		
						<!-- END MENU -->
					</td>
				</tr>
				<tr><td height="30"></td></tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td valign="top" style="background-image: url('images/left_bg.gif'); background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" width="210" height="100%" style="background-image: url('images/left_b.gif'); background-position: bottom; background-repeat: no-repeat;">
							<tr>
								<td valign="top" style="background-image: url('images/left_t.gif'); background-repeat: no-repeat;">
								<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="160" align="center">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>	
								<!-- END SUBMENU -->
								</td>
							</tr>
						</table>
					</td>
					<td width="100%" valign="top" class="bg pageContent" style="background-image: url('images/bg.gif'); padding: 0 35px 15px 35px;">
					<!-- CONTENT -->
						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
					<!-- END CONTENT -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="61">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="61">
				<tr>
					<td><img src="images/bl.gif" border="0" alt=""/></td>
					<td width="100%" class="footer-bg">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<td width="30"></td>	
								<xsl:call-template name="BOTTOM-MENU"/>
								<td width="30"></td>
								
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>						
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td><img src="images/submenu_bullet.gif" border="0" style="margin-right: 5px;"/></td>
				<td style="padding-left: 5px; background-image: url('images/submenu_abg.gif'); background-repeat: repeat-y;" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>								
				<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" style="margin-right: 5px;"/></a></td>
				<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">										
		<tr><td colspan="2" height="4"></td></tr>
		<tr><td></td><td height="2" background="images/submenu_hr.gif"></td></tr>
		<tr><td colspan="2" height="4"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td width="5"></td>
				<td><img src="images/bmenu_bullet.gif" border="0"/></td>
           </xsl:when>
           <xsl:otherwise>
				<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
