<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="268" style="background-image: url('images/header_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/header_r.gif'); background-position: top right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
							<tr>
								<td height="45">
									<!-- MENU -->
                           			<table cellpadding="0" cellspacing="0">
                           				<tr>
                           					<td width="17"><div style="width:5px; height:0px;"><span></span></div></td>
                                            <xsl:call-template name="TOP-MENU"/>
                           					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                           				</tr>
                           			</table>
									<!-- END MENU -->
								</td>
							</tr>
							<tr>
								<td height="100%">
									<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
										<tr>
											<td align="right" class="slogan">
												<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
												<div style="width:509px; height:0px;"><span></span></div>
											</td>
											<td width="100%" align="center" class="company">
												<!-- LOGO -->
												<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a><br/>
												<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
												<!-- END LOGO -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" style="background-image: url('images/main_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/main_bg.jpg'); background-position: bottom right; background-repeat: no-repeat;">
				<tr>
					<td width="100%" height="25" valign="bottom" class="text-header" style="padding-left: 30px;">
						<img src="images/txtheader_bullet.gif" border="0" alt="" align="absmiddle" hspace="5"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</td>
					<td>
						<div style="width:240px; height:0px;"><span></span></div>
					</td>
				</tr>
				<tr valign="top">
					<td height="100%">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
							<tr>
								<td width="100%"><img src="images/bg_t.png" border="0" alt="" width="100%" height="47"/></td>
								<td><img src="images/bg_tr.png" border="0" alt="" width="38" height="47"/></td>
							</tr>
							<tr valign="top">
								<td height="100%" bgcolor="#F4F4F4" class="pageContent" style="padding-left: 20px;">
									<!-- CONTENT -->
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
								<td><img src="images/bg_r.png" border="0" alt="" width="38" height="100%"/></td>
							</tr>
							<tr>
								<td><img src="images/bg_b.png" border="0" alt="" width="100%" height="46"/></td>
								<td><img src="images/bg_br.png" border="0" alt="" width="38" height="46"/></td>
							</tr>
						</table>
					</td>
					<td style="padding-top: 50px;">
						<!-- SUBMENU -->
              			<table cellpadding="0" cellspacing="0" width="130" align="center">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              			</table>
						<!-- END SUBMENU -->
					</td>
				</tr>
				<tr>
					<td height="50" style="padding-left: 20px;">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
					</td>
					<td></td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
              				<tr>
              					<td class="asubmenu" style="width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              					<td align="right" style="padding-left: 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
              				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
              				<tr>
              					<td style="width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              					<td align="right" style="padding-left: 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
              				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color: #E4E4E4;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
